Skip to main content
GET
/
api
/
v1
/
pair-config
Check pair support and token configuration
curl --request GET \
  --url https://swap.xoxno.com/api/v1/pair-config
const options = {method: 'GET'};

fetch('https://swap.xoxno.com/api/v1/pair-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://swap.xoxno.com/api/v1/pair-config"

response = requests.get(url)

print(response.text)
false
{
  "from": "WEGLD-bd4d79",
  "to": "USDC-c76f1f",
  "supported": true,
  "decimalsIn": 18,
  "decimalsOut": 6,
  "minAmountIn": "1000000000",
  "minAmountInShort": 1e-9
}

Query Parameters

from
string
required

Input token identifier.

to
string
required

Output token identifier.

Response

200 - application/json

Pair configuration. Check the supported field to determine if the pair can be traded.

Pair support and token metadata.

from
string

Input token identifier.

to
string

Output token identifier.

supported
boolean

true if the pair can be traded; false otherwise.

decimalsIn
integer

Decimal precision of the input token. Present when supported: true.

decimalsOut
integer

Decimal precision of the output token. Present when supported: true.

minAmountIn
string

Minimum viable input amount in smallest units. Present when supported: true.

minAmountInShort
number

Human-readable minimum input amount. Present when supported: true.

error
string

Error description. Present when supported: false.